/**
 ** Copyright (c) 1997 LAAS/CNRS 
 **
 ** Matthieu Herrb - Wed Apr 30 1997
 **
 ** $Source$
 ** $Revision$
 ** $Date$
 ** 
 **/
#ident "$Id$"

#include <stdio.h>
#include <gdhe/GDHE.h>

int
main(int argc, char *argv[])
{
    char buf[65536];
    int i, j;

    if (argc != 2) {
	fprintf(stderr, "syntaxe: %s <host>\n", argv[0]);
	exit(1);
    }
    if (!get_connection(argv[1])) {
	fprintf(stderr, "cannot get connection to %s\n", argv[1]);
	exit(1);
    }
    strcpy(buf, "set a a");
    for (i = 0; i < 65000; i++) {
	    printf("%d\n", i);
	    for (j = 0; j < i; j++) {
		    buf[7+j] = 'a';
	    }
	    buf[7+j] = '\0';
	    strcat(buf, "; unset a");
	    //printf("buf: %s\n", buf);
	    eval_expression(buf);
    }
    exit(0);
}
